Skip to main content
POST
/
cards
/
transaction_simulations
/
financial
/
balance_inquiry
Simulate balance inquiry
curl --request POST \
  --url https://api-sandbox.synctera.com/v0/cards/transaction_simulations/financial/balance_inquiry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "card_acceptor": {
    "address": "address",
    "city": "city",
    "country": "country",
    "ecommerce_security_level_indicator": "ecommerce_security_level_indicator",
    "mcc": "mcc",
    "name": "name",
    "partial_approval_capable": false,
    "state": "state",
    "zip": "zip"
  },
  "card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mid": "<string>",
  "network_fees": [
    {
      "amount": 123,
      "credit_debit": "C",
      "type": "ISSUER_FEE"
    }
  ],
  "pin": "<string>"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/cards/transaction_simulations/financial/balance_inquiry"

payload = {
"card_acceptor": {
"address": "address",
"city": "city",
"country": "country",
"ecommerce_security_level_indicator": "ecommerce_security_level_indicator",
"mcc": "mcc",
"name": "name",
"partial_approval_capable": False,
"state": "state",
"zip": "zip"
},
"card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mid": "<string>",
"network_fees": [
{
"amount": 123,
"credit_debit": "C",
"type": "ISSUER_FEE"
}
],
"pin": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
card_acceptor: {
address: 'address',
city: 'city',
country: 'country',
ecommerce_security_level_indicator: 'ecommerce_security_level_indicator',
mcc: 'mcc',
name: 'name',
partial_approval_capable: false,
state: 'state',
zip: 'zip'
},
card_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mid: '<string>',
network_fees: [{amount: 123, credit_debit: 'C', type: 'ISSUER_FEE'}],
pin: '<string>'
})
};

fetch('https://api-sandbox.synctera.com/v0/cards/transaction_simulations/financial/balance_inquiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Balance inquiry details

account_type
enum<string>
required
Available options:
checking,
credit,
savings
card_acceptor
object
required
Example:
{
"address": "address",
"city": "city",
"country": "country",
"ecommerce_security_level_indicator": "ecommerce_security_level_indicator",
"mcc": "mcc",
"name": "name",
"partial_approval_capable": false,
"state": "state",
"zip": "zip"
}
card_id
string<uuid>
required
mid
string
required
Required string length: 1 - 50
network_fees
object[]
pin
string
Required string length: 1 - 15

Response

Success

The response is of type object.